petsc-3.4.2 2013-07-02

# PetscSFGetGraph

Get the graph specifying a parallel star forest

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetGraph(PetscSF sf,PetscInt *nroots,PetscInt *nleaves,const PetscInt **ilocal,const PetscSFNode **iremote)

Not Collective

### Input Arguments

sf -star forest

### Output Arguments

| nroots | - number of root vertices on the current process (these are possible targets for other process to attach leaves)
| nleaves | - number of leaf vertices on the current process, each of these references a root on any process
| ilocal | - locations of leaves in leafdata buffers
| iremote | - remote locations of root vertices for each leaf on the current process

### See Also

PetscSFCreate(), PetscSFView(), PetscSFSetGraph()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages